### Function

# GLib quark_try_string

#### Declaration [src]

    GQuark
    g_quark_try_string (
      const gchar* string
    )

#### Description [src]

Gets the `GQuark` associated with the given string, or 0 if string is `NULL` or it has no associated `GQuark`.

If you want the GQuark to be created if it doesn’t already exist, use `g_quark_from_string()` or g_quark_from_static_string().

This function must not be used before library constructors have finished running.

#### Parameters

`string`

  Type: `const gchar*`

  A string.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GQuark`

The `GQuark` associated with the string, or 0 if `string` is `NULL` or there is no `GQuark` associated with it.